#ifndef LINEEDITWIDGET_H
#define LINEEDITWIDGET_H

#include <QWidget>
#include <QFrame>
#include <QHBoxLayout>
#include <QLineEdit>


#include "../Label/fixlabel.h"
#include "libukcc_global.h"
#include "ukccframe.h"
#include <QLine>
/**
 * @brief 创建一个带 QLineEdit 的 Frame
 *
 */
class LIBUKCC_EXPORT LineEditWidget : public UkccFrame
{
    Q_OBJECT

public:
    /**
     * @brief 创建一个带 QLineEdit 的 Frame
     *
     * @param title:  text of m_settingName
     * @param style:  设置圆角（None:无圆角,Top:上圆角,Bottom:下圆角,Around:四圆角）
     * @param parent
     */
    explicit LineEditWidget(const QString title, QWidget *parent = nullptr, UkccFrame::BorderRadiusStyle style = UkccFrame::None);
    /**
     * @brief
     *
     */
    ~LineEditWidget();

    /**
     * @brief 设置 m_lineEdit 是否可点击
     *
     * @param checked
     */
    void setEnabled(const bool checked);

    /**
     * @brief
     *
     * @return bool
     */
    bool isEnabled() const;

    /**
     * @brief 设置 m_settingName text
     *
     * @param title
     */
    void setTitle(const QString &title);

    /**
     * @brief 获取 m_settingName text
     *
     * @return QString
     */
    QString title() const;

    /**
     * @brief 设置 m_settingName label 宽度
     *
     * @param w
     */
    void setTitleFixedWidth(int w);

    /**
     * @brief 获取 m_lineEdit
     *
     * @return QLineEdit:  m_lineEdit
     */
    QLineEdit *lineEdit();

private:
    /**
     * @brief 初始化界面
     *
     */
    void init();

    QHBoxLayout *mainLayout; /**< TODO: 控件布局 */
    FixLabel *m_settingName; /**< TODO: 设置项名 */
    QLineEdit *m_lineEdit; /**< TODO: QLineEdit 控件 */

private Q_SLOTS:

Q_SIGNALS:


};

#endif // LINEEDITWIDGET_H
